### Function

# Gimp Scanner new_string

since: 2.4

#### Declaration [src]

    GimpScanner*
    gimp_scanner_new_string (
      const gchar* text,
      gint text_len,
      GError** error
    )

#### Description

No description available.

Available since: 2.4

#### Parameters

`text`

  Type: An array of `gchar`

  No description available.

  The length of the array is specified in the `text_len` argument.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

`text_len`

  Type: `gint`

  The length of `text`, or -1 if NULL-terminated.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GimpScanner`

The new `GimpScanner`.

The caller of the function takes ownership of the data, and is responsible for freeing it.